From c2bda9c7e48a37b4c3627e2296e4beabbb92f5d0 Mon Sep 17 00:00:00 2001
From: Raghav Gururajan <raghavgururajan@disroot.org>
Date: Thu, 7 May 2020 20:56:09 -0400
Subject: [PATCH 03/22] gnu: zathura-ps: Move from pdf.scm to pwmt.scm.

* gnu/packages/pdf.scm (zathura-ps): Move to [...]
* gnu/packages/pwmt.scm (zathura-ps): [...] here.
---
 gnu/packages/pdf.scm  | 35 -----------------------------------
 gnu/packages/pwmt.scm | 36 ++++++++++++++++++++++++++++++++++++
 2 files changed, 36 insertions(+), 35 deletions(-)

diff --git a/gnu/packages/pdf.scm b/gnu/packages/pdf.scm
index ff75e1ed55..c5539c7df5 100644
--- a/gnu/packages/pdf.scm
+++ b/gnu/packages/pdf.scm
@@ -426,41 +426,6 @@ reading and editing of existing PDF files.")
 using libarchive.")
     (license license:zlib)))
 
-(define-public zathura-ps
-  (package
-    (name "zathura-ps")
-    (version "0.2.6")
-    (source (origin
-              (method url-fetch)
-              (uri
-               (string-append "https://pwmt.org/projects/zathura-ps/download/zathura-ps-"
-                              version ".tar.xz"))
-              (sha256
-               (base32
-                "0wygq89nyjrjnsq7vbpidqdsirjm6iq4w2rijzwpk2f83ys8bc3y"))))
-    (native-inputs `(("pkg-config" ,pkg-config)))
-    (inputs `(("libspectre" ,libspectre)
-              ("zathura" ,zathura)))
-    (build-system meson-build-system)
-    (arguments
-     `(#:tests? #f                      ; package does not contain tests
-       #:phases
-       (modify-phases %standard-phases
-         (add-after 'unpack 'patch-plugin-directory
-           ;; Something of a regression in 0.2.6: the new Meson build system
-           ;; now hard-codes an incorrect plugin directory.  Fix it.
-           (lambda* (#:key outputs #:allow-other-keys)
-             (substitute* "meson.build"
-               (("(install_dir:).*" _ key)
-                (string-append key
-                               "'" (assoc-ref outputs "out") "/lib/zathura'\n")))
-             #t)))))
-    (home-page "https://pwmt.org/projects/zathura-ps/")
-    (synopsis "PS support for zathura (libspectre backend)")
-    (description "The zathura-ps plugin adds PS support to zathura
-using libspectre.")
-    (license license:zlib)))
-
 (define-public zathura-djvu
   (package
     (name "zathura-djvu")
diff --git a/gnu/packages/pwmt.scm b/gnu/packages/pwmt.scm
index de95190f09..32abe6d129 100644
--- a/gnu/packages/pwmt.scm
+++ b/gnu/packages/pwmt.scm
@@ -27,6 +27,7 @@
   #:use-module (gnu packages check)
   #:use-module (gnu packages documentation)
   #:use-module (gnu packages gettext)
+  #:use-module (gnu packages ghostscript)
   #:use-module (gnu packages glib)
   #:use-module (gnu packages gnome)
   #:use-module (gnu packages gtk)
@@ -146,3 +147,38 @@ information.")
 minimalistic interface and an interface that mainly focuses on keyboard
 interaction.")
     (license license:zlib)))
+
+(define-public zathura-ps
+  (package
+    (name "zathura-ps")
+    (version "0.2.6")
+    (source (origin
+              (method url-fetch)
+              (uri
+               (string-append "https://pwmt.org/projects/zathura-ps/download/zathura-ps-"
+                              version ".tar.xz"))
+              (sha256
+               (base32
+                "0wygq89nyjrjnsq7vbpidqdsirjm6iq4w2rijzwpk2f83ys8bc3y"))))
+    (native-inputs `(("pkg-config" ,pkg-config)))
+    (inputs `(("libspectre" ,libspectre)
+              ("zathura" ,zathura)))
+    (build-system meson-build-system)
+    (arguments
+     `(#:tests? #f                      ; package does not contain tests
+       #:phases
+       (modify-phases %standard-phases
+         (add-after 'unpack 'patch-plugin-directory
+           ;; Something of a regression in 0.2.6: the new Meson build system
+           ;; now hard-codes an incorrect plugin directory.  Fix it.
+           (lambda* (#:key outputs #:allow-other-keys)
+             (substitute* "meson.build"
+               (("(install_dir:).*" _ key)
+                (string-append key
+                               "'" (assoc-ref outputs "out") "/lib/zathura'\n")))
+             #t)))))
+    (home-page "https://pwmt.org/projects/zathura-ps/")
+    (synopsis "PS support for zathura (libspectre backend)")
+    (description "The zathura-ps plugin adds PS support to zathura
+using libspectre.")
+    (license license:zlib)))
-- 
2.26.2

